%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_without check
%global debug_package %{nil}

%global crate pancurses

Name:           rust-pancurses
Version:        0.17.0
Release:    1%{?dist}
Summary:        Curses library for Rust that supports both Unix and Windows

License:        MIT
URL:            https://crates.io/crates/pancurses
Source0:         %{crates_source}
Patch:          pancurses-fix-metadata-auto.diff
Patch:          pancurses-fix-metadata.diff

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Curses library for Rust that supports both Unix and Windows platforms by
abstracting away the backend that it uses (ncurses-rs and pdcurses-sys
respectively).}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+disable_resize-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+disable_resize-devel %{_description}

This package contains library source intended for building other packages which
use the "disable_resize" feature of the "%{crate}" crate.

%files       -n %{name}+disable_resize-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+show_menu-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+show_menu-devel %{_description}

This package contains library source intended for building other packages which
use the "show_menu" feature of the "%{crate}" crate.

%files       -n %{name}+show_menu-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+wide-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+wide-devel %{_description}

This package contains library source intended for building other packages which
use the "wide" feature of the "%{crate}" crate.

%files       -n %{name}+wide-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.17.0-1
- initial build
